org.thewonderlemming.c4plantuml.graphml.model

## Enum EntityType

- java.lang.Object
- - java.lang.Enum<EntityType>
  - - org.thewonderlemming.c4plantuml.graphml.model.EntityType

- All Implemented Interfaces:
    Serializable, Comparable<EntityType>

      public enum EntityType
      extends Enum<EntityType>

  Represents a C4 keyword or "entity" as I like to call them. Its purpose is to avoid misspelling in the code.
  Author:
    thewonderlemming

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C1_BOUNDARY` The C4 System Context `Boundary` keyword.
    `C1_CLOUD` The C4 System Context `Cloud` keyword.
    `C1_ENTERPRISE_BOUNDARY` The C4 System Context `EnterpriseBoundary` keyword.
    `C1_LAYOUT` The C4 System Context `Layout` keyword.
    `C1_PERSON` The C4 System Context `Person` keyword.
    `C1_PERSON_EXT` The C4 System Context `PersonExt` keyword.
    `C1_SYSTEM` The C4 System Context `System` keyword.
    `C1_SYSTEM_EXT` The C4 System Context `SystemExt` keyword.
    `C2_BOUNDARY` The C4 Container `Boundary` keyword.
    `C2_CLOUD` The C4 Container `Cloud` keyword.
    `C2_CONTAINER` The C4 Container `Container` keyword.
    `C2_CONTAINER_DB` The C4 Container `ContainerDb` keyword.
    `C2_ENTERPRISE_BOUNDARY` The C4 Container `EnterpriseBoundary` keyword.
    `C2_LAYOUT` The C4 Container `Layout` keyword.
    `C2_PERSON` The C4 Container `Person` keyword.
    `C2_PERSON_EXT` The C4 Container `PersonExt` keyword.
    `C2_SYSTEM` The C4 Container `System` keyword.
    `C2_SYSTEM_BOUNDARY` The C4 Container `SystemBoundary` keyword.
    `C2_SYSTEM_EXT` The C4 Container `SystemExt` keyword.
    `C3_BOUNDARY` The C4 Component `Boundary` keyword.
    `C3_CLOUD` The C4 Component `Cloud` keyword.
    `C3_COMPONENT` The C4 Component `Component` keyword.
    `C3_COMPONENT_DB` The C4 Component `ComponentDb` keyword.
    `C3_CONTAINER` The C4 Component `Container` keyword.
    `C3_CONTAINER_BOUNDARY` The C4 Component `ComponentBoundary` keyword.
    `C3_CONTAINER_DB` The C4 Component `ContainerDb` keyword.
    `C3_ENTERPRISE_BOUNDARY` The C4 Component `EnterpriseBoundary` keyword.
    `C3_LAYOUT` The C4 Component `Layout` keyword.
    `C3_PERSON` The C4 Component `Person` keyword.
    `C3_PERSON_EXT` The C4 Component `PersonExt` keyword.
    `C3_SYSTEM` The C4 Component `System` keyword.
    `C3_SYSTEM_EXT` The C4 Component `SystemExt` keyword.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTypeAsString()` Returns the C4 keyword represented by the current value of `EntityType`.
    `static EntityType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EntityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### C1_BOUNDARY

          public static final EntityType C1_BOUNDARY

      The C4 System Context `Boundary` keyword.

    - #### C1_CLOUD

          public static final EntityType C1_CLOUD

      The C4 System Context `Cloud` keyword.

    - #### C1_ENTERPRISE_BOUNDARY

          public static final EntityType C1_ENTERPRISE_BOUNDARY

      The C4 System Context `EnterpriseBoundary` keyword.

    - #### C1_LAYOUT

          public static final EntityType C1_LAYOUT

      The C4 System Context `Layout` keyword.

    - #### C1_PERSON

          public static final EntityType C1_PERSON

      The C4 System Context `Person` keyword.

    - #### C1_PERSON_EXT

          public static final EntityType C1_PERSON_EXT

      The C4 System Context `PersonExt` keyword.

    - #### C1_SYSTEM

          public static final EntityType C1_SYSTEM

      The C4 System Context `System` keyword.

    - #### C1_SYSTEM_EXT

          public static final EntityType C1_SYSTEM_EXT

      The C4 System Context `SystemExt` keyword.

    - #### C2_BOUNDARY

          public static final EntityType C2_BOUNDARY

      The C4 Container `Boundary` keyword.

    - #### C2_CLOUD

          public static final EntityType C2_CLOUD

      The C4 Container `Cloud` keyword.

    - #### C2_CONTAINER

          public static final EntityType C2_CONTAINER

      The C4 Container `Container` keyword.

    - #### C2_CONTAINER_DB

          public static final EntityType C2_CONTAINER_DB

      The C4 Container `ContainerDb` keyword.

    - #### C2_ENTERPRISE_BOUNDARY

          public static final EntityType C2_ENTERPRISE_BOUNDARY

      The C4 Container `EnterpriseBoundary` keyword.

    - #### C2_LAYOUT

          public static final EntityType C2_LAYOUT

      The C4 Container `Layout` keyword.

    - #### C2_PERSON

          public static final EntityType C2_PERSON

      The C4 Container `Person` keyword.

    - #### C2_PERSON_EXT

          public static final EntityType C2_PERSON_EXT

      The C4 Container `PersonExt` keyword.

    - #### C2_SYSTEM

          public static final EntityType C2_SYSTEM

      The C4 Container `System` keyword.

    - #### C2_SYSTEM_BOUNDARY

          public static final EntityType C2_SYSTEM_BOUNDARY

      The C4 Container `SystemBoundary` keyword.

    - #### C2_SYSTEM_EXT

          public static final EntityType C2_SYSTEM_EXT

      The C4 Container `SystemExt` keyword.

    - #### C3_BOUNDARY

          public static final EntityType C3_BOUNDARY

      The C4 Component `Boundary` keyword.

    - #### C3_CLOUD

          public static final EntityType C3_CLOUD

      The C4 Component `Cloud` keyword.

    - #### C3_COMPONENT

          public static final EntityType C3_COMPONENT

      The C4 Component `Component` keyword.

    - #### C3_COMPONENT_DB

          public static final EntityType C3_COMPONENT_DB

      The C4 Component `ComponentDb` keyword.

    - #### C3_CONTAINER

          public static final EntityType C3_CONTAINER

      The C4 Component `Container` keyword.

    - #### C3_CONTAINER_BOUNDARY

          public static final EntityType C3_CONTAINER_BOUNDARY

      The C4 Component `ComponentBoundary` keyword.

    - #### C3_CONTAINER_DB

          public static final EntityType C3_CONTAINER_DB

      The C4 Component `ContainerDb` keyword.

    - #### C3_ENTERPRISE_BOUNDARY

          public static final EntityType C3_ENTERPRISE_BOUNDARY

      The C4 Component `EnterpriseBoundary` keyword.

    - #### C3_LAYOUT

          public static final EntityType C3_LAYOUT

      The C4 Component `Layout` keyword.

    - #### C3_PERSON

          public static final EntityType C3_PERSON

      The C4 Component `Person` keyword.

    - #### C3_PERSON_EXT

          public static final EntityType C3_PERSON_EXT

      The C4 Component `PersonExt` keyword.

    - #### C3_SYSTEM

          public static final EntityType C3_SYSTEM

      The C4 Component `System` keyword.

    - #### C3_SYSTEM_EXT

          public static final EntityType C3_SYSTEM_EXT

      The C4 Component `SystemExt` keyword.

  - ### Method Detail

    - #### values

          public static EntityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityType c : EntityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getTypeAsString

          public String getTypeAsString()

      Returns the C4 keyword represented by the current value of `EntityType`.
      Returns:
        the current C4 keyword/entity.

Copyright © 2020. All rights reserved.